package loderunner;


import java.awt.*;

/*
 *    Lode.
 */
public class Lode {
    
    private int x,y;
    private boolean isStatic;
	
    public Lode(int x,int y){
        this.x = x;
        this.y = y;        
        isStatic = true;
    }

    // 
    public void draw(Graphics g){
        if (isStatic) {
            g.drawImage(Game.lode, x * Level.getCellSize(), y * Level.getCellSize(), Level.getCellSize(), Level.getCellSize(),null);
        }		
    }

    //        .
    public void setStatic(boolean b){
        isStatic = b;    
    }

    //  
    public boolean isEqual(int x,int y){
        if (!isStatic) return false;
        if ((this.x == x) && (this.y == y)) return true;
	else return false;
    }

    //  
    public void setPosition(int x, int y) {
        this.x = x;
        this.y = y;
    }   	
}